This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 919460

Summary: Review Request: devassistant - Developer tool for setting up projects quickly
Product: [Fedora] Fedora Reporter: Bohuslav "Slavek" Kabrda <bkabrda>
Component: Package ReviewAssignee: Tomas Radej <tradej>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: misc, notting, package-review, pahan, tradej
Target Milestone: ---Flags: tradej: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-13 02:28:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Bohuslav "Slavek" Kabrda 2013-03-08 09:32:42 EST
Spec URL: http://bkabrda.fedorapeople.org/pkgs/devassistant/devassistant.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/devassistant/devassistant-0.1.0-1.fc18.src.rpm
Description:
Developer assistant is a tool for all developers using (not-only) Fedora.
It helps with creating and setting up basic projects in many languages,
setting up development environment, setting up source control and
installing dependencies.

Fedora Account System Username: bkabrda

Note: all the Ws and Es from rpmlint below are ok, since these files are really meant to be there.

rpmlint output:
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.eclipseproject
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/python/.gitignore
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/basic_class.cpp
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/c/.gitignore
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.gitignore
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/files.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.settings
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.settings
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.autotools
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/maven/.eclipseproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/python/.pydevproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/python/.project
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/basic_class.h
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/simple_threads.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.cproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.eclipseproject
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/client.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.classpath
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/server.c
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/files_cpp.cpp
devassistant.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/devassistant/templates/python/lib/setup.py 0644L /usr/bin/env
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/maven/.classpath
devassistant.noarch: W: no-manual-page-for-binary devassistant
2 packages and 0 specfiles checked; 4 errors, 19 warnings.
Comment 1 Michael Scherer 2013-03-10 18:07:41 EDT
Well, I think they should be in /usr/share, but that's nit picking :)


Anyway, a few notes :
- BuildRequires:  python-devel

IIRC, the python guideline ask to say if this python2 or python3.

- it seems there is some test, any reason to not run them ?
Comment 2 Bohuslav "Slavek" Kabrda 2013-03-12 03:26:08 EDT
(In reply to comment #1)
> Well, I think they should be in /usr/share, but that's nit picking :)
> 

True, I can move this to /usr/share and create a .pth file.

> 
> Anyway, a few notes :
> - BuildRequires:  python-devel
> 
> IIRC, the python guideline ask to say if this python2 or python3.
> 

Right, I'll fix this.

> - it seems there is some test, any reason to not run them ?

I run the tests:

%check
%{__python} setup.py test -t py.test

Thanks for your comments, I'll fix and post the new SPEC/SRPM.
Comment 3 Bohuslav "Slavek" Kabrda 2013-03-12 04:42:32 EDT
So, it seems that guidelines don't say anything about placing Python applications under /usr/share and if you actually check some of the applications (e.g. yum, packagekit), they all live in %{python_sitelib}, so I'll stay with that too.

SPEC: http://bkabrda.fedorapeople.org/pkgs/devassistant/devassistant.spec
SRPM: http://bkabrda.fedorapeople.org/pkgs/devassistant/devassistant-0.1.0-2.fc18.src.rpm
Comment 4 Tomas Radej 2013-03-12 07:12:35 EDT
I'll do this.
Comment 5 Tomas Radej 2013-03-12 10:09:45 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: devassistant : /usr/lib/python2.7/site-
  packages/devassistant/templates/c/src/basic_class.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

[!]: Package complies to the Packaging Guidelines
[!]: Package obeys FHS, except libexecdir and /usr/target.
>>>> Templates should be under /usr/share

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[!]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: devassistant-0.1.0-2.fc19.noarch.rpm
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.eclipseproject
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/python/.gitignore
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/basic_class.cpp
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/c/.gitignore
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.gitignore
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/files.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.settings
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.settings
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.autotools
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/maven/.eclipseproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/python/.pydevproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/python/.project
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/basic_class.h
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/simple_threads.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.cproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.eclipseproject
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/client.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.classpath
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/server.c
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/files_cpp.cpp
devassistant.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/devassistant/templates/python/lib/setup.py 0644L /usr/bin/env
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/maven/.classpath
devassistant.noarch: W: no-manual-page-for-binary devassistant
1 packages and 0 specfiles checked; 4 errors, 19 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint devassistant
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.eclipseproject
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/python/.gitignore
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/basic_class.cpp
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/c/.gitignore
devassistant.noarch: E: version-control-internal-file /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.gitignore
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/files.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.settings
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.settings
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.autotools
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/maven/.eclipseproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/python/.pydevproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/python/.project
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/basic_class.h
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/simple_threads.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.cproject
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/c/.eclipseproject
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/client.c
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/jsf/.classpath
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/server.c
devassistant.noarch: W: devel-file-in-non-devel-package /usr/lib/python2.7/site-packages/devassistant/templates/c/src/files_cpp.cpp
devassistant.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/devassistant/templates/python/lib/setup.py 0644L /usr/bin/env
devassistant.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/devassistant/templates/java/maven/.classpath
devassistant.noarch: W: no-manual-page-for-binary devassistant
1 packages and 0 specfiles checked; 4 errors, 19 warnings.
# echo 'rpmlint-done:'



Requires
--------
devassistant (rpmlib, GLIBC filtered):
    /bin/bash
    /usr/bin/python
    PyYAML
    git
    python(abi)
    python-github
    python-jinja2
    python-plumbum
    python-setuptools



Provides
--------
devassistant:
    devassistant
    perl(PROJECT_NAME)



MD5-sum check
-------------
https://pypi.python.org/packages/source/d/devassistant/devassistant-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : cb8b09e2355f3fd39b7cbbf49d5381ed3745b21c937464e07f29ca78fcadc232
  CHECKSUM(SHA256) upstream package : cb8b09e2355f3fd39b7cbbf49d5381ed3745b21c937464e07f29ca78fcadc232


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-i386
Command line :/bin/fedora-review -b 919460

*** NOT APPROVED ***

Just move the templates under /usr/share and it will be OK.
Comment 7 Tomas Radej 2013-03-12 10:33:59 EDT
Now it's OK.

*** APPROVED ***
Comment 8 Bohuslav "Slavek" Kabrda 2013-03-12 10:36:32 EDT
New Package SCM Request
=======================
Package Name: devassistant
Short Description: Developer tool for setting up projects quickly
Owners: bkabrda
Branches: f18
InitialCC:
Comment 9 Jon Ciesla 2013-03-12 10:38:25 EDT
Git done (by process-git-requests).